Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class PostulanteCapacitacionDbHelper
    Inherits DbHelper(Of PostulanteCapacitacion,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListPostulanteCapacitacionByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteCapacitacion)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idConcursoPostulante = idConcursoPostulante
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
